Bug 974928 - phpLDAPadmin does not work with PHP 5.5.0 at all
phpLDAPadmin does not work with PHP 5.5.0 at all
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: phpldapadmin (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 03:23 EDT by Jari Turkia
Modified: 2013-12-13 22:00 EST (History)
3 users (show)

See Also:
Fixed In Version: phpldapadmin-1.2.3-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 01:18:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch from Debian (2.40 KB, patch)
2013-06-17 07:38 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Jari Turkia 2013-06-17 03:23:13 EDT
Description of problem:
php LDAP admin does not work with PHP 5.5.0 RC3

Version-Release number of selected component (if applicable):
phpldapadmin-1.2.3-2.fc19.noarch
php-5.5.0-0.10.RC3.fc19.x86_64

How reproducible:
Easily. Install phpldapadmin and confirm it not working with /usr/share/phpldapadmin/lib/functions.php redeclaring password_hash() which is a built-in function in PHP 5.5.0.

Steps to Reproduce:
1. Install
2. Go to default URL
3. Confirm PHP parse error

Actual results:
Various types of failures

Expected results:
Any kind of functionality

Additional info:
The re-declared password_hash() can be easily commented out to have _some_ functionality. After logging in, various other errors appear. For example:
Unrecognized error number: 8192: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead

... all of which are PHP 5.5 -related.

However, people like me who require LDAP-administration are pretty much out of options here. This is a roadblock when considering upgrading into Fedora 19. The phpldapadmin-package must be either fixed or removed as completely incompatible.
Comment 1 Dmitry Butskoy 2013-06-17 07:38:46 EDT
Created attachment 762008 [details]
A patch from Debian

Could you please test this patch (for speedup to solve the issue)?

Are there some other issues (besides these two) in your environment?
Comment 2 Jari Turkia 2013-06-17 09:14:02 EDT
The above patch works without problems and fixes any PHP 5.5 issues I encountered. Thanks!
Comment 3 Fedora Update System 2013-06-18 08:39:51 EDT
phpldapadmin-1.2.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/phpldapadmin-1.2.3-3.fc19
Comment 4 Fedora Update System 2013-06-18 15:41:34 EDT
Package phpldapadmin-1.2.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing phpldapadmin-1.2.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11171/phpldapadmin-1.2.3-3.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-29 14:07:49 EDT
phpldapadmin-1.2.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Max Christian Pohle 2013-10-05 22:29:06 EDT
reopen! the patch is not complete. in file /usr/share/phpldapadmin/lib/PageRender.php, line 290 there is
  $vals[$i] = password_hash($passwordvalue,$enc);
which should be
  $vals[$i] = pla_password_hash($passwordvalue,$enc);

problem was, that php5 introduced a so called 'password_hash' function as standardfunction, which is not meant to be called by phpldapadmin.

^ sorry for not providing a diff, but I edited the file in place without a backup
Comment 7 Joakim Verona 2013-11-11 18:24:35 EST
I also experienced this bug, and also fixed it like described in comment 6
Comment 8 Fedora Update System 2013-11-11 19:44:18 EST
phpldapadmin-1.2.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/phpldapadmin-1.2.3-5.fc20
Comment 9 Fedora Update System 2013-11-11 19:45:07 EST
phpldapadmin-1.2.3-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/phpldapadmin-1.2.3-5.fc19
Comment 10 Fedora Update System 2013-11-12 21:10:48 EST
Package phpldapadmin-1.2.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing phpldapadmin-1.2.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21168/phpldapadmin-1.2.3-5.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-12-10 01:18:50 EST
phpldapadmin-1.2.3-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-13 22:00:06 EST
phpldapadmin-1.2.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.